# Class Nip59

- Defined in packages/signer/src/nip59.ts:71

#####
Index

### Constructors

constructor

### Methods

unwrap
withWrapper
wrap
fromSecret
fromSigner

##
Constructors

### constructor

- new Nip59(signer: ISigner , wrapper?: ISigner ): Nip59

- #### Parameters

  - signer: ISigner
  - `Optional` wrapper: ISigner

  #### Returns Nip59

  - Defined in packages/signer/src/nip59.ts:72

##
Methods

### unwrap

- unwrap(event: SignedEvent ): Promise<undefined | UnwrappedEvent >

- #### Parameters

  - event: SignedEvent

  #### Returns Promise<undefined | UnwrappedEvent >

  - Defined in packages/signer/src/nip59.ts:83

### withWrapper

- withWrapper(wrapper: ISigner ): Nip59

- #### Parameters

  - wrapper: ISigner

  #### Returns Nip59

  - Defined in packages/signer/src/nip59.ts:78

### wrap

- wrap(
  pubkey: string,
  template: StampedEvent ,
  tags?: string[][],
  ): Promise< UnwrappedEvent >

- #### Parameters

  - pubkey: string
  - template: StampedEvent
  - tags: string[][] = []

  #### Returns Promise< UnwrappedEvent >

  - Defined in packages/signer/src/nip59.ts:80

### `Static` fromSecret

- fromSecret(secret: string): Nip59

- #### Parameters

  - secret: string

  #### Returns Nip59

  - Defined in packages/signer/src/nip59.ts:76

### `Static` fromSigner

- fromSigner(signer: ISigner ): Nip59

- #### Parameters

  - signer: ISigner

  #### Returns Nip59

  - Defined in packages/signer/src/nip59.ts:74